Debian Bug report logs - #412976
mixmaster: Add /etc/default/mixmaster to control the daemon startup at boot

version graph

Package: mixmaster; Maintainer for mixmaster is Colin Tuckley <colint@debian.org>; Source for mixmaster is src:mixmaster.

Reported by: Jari Aalto <jari.aalto@cante.net>

Date: Thu, 1 Mar 2007 12:24:04 UTC

Severity: minor

Found in version mixmaster/3.0b2-3

Done: Peter Palfrader <weasel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Palfrader <weasel@debian.org>:
Bug#412976; Package mixmaster. Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
New Bug report received and forwarded. Copy sent to Peter Palfrader <weasel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mixmaster: Add /etc/default/mixmaster to control the daemon startup at boot
Date: Thu, 01 Mar 2007 14:21:45 +0200
Package: mixmaster
Version: 3.0b2-3
Severity: minor

Mixmaster is unconditionally started at boot. The only way to 
disable it is to remove the startup scripts:

  $ find /etc/rc* -name "S*mix*" | xargs rm

SUGGESTION

Please add /etc/default/mixmaster with entry

  ENABLED=1

and "source" it in the /etc/init.d/mixmaster

  DESC="Mixmaster Remailer Daemon"

  ENABLED=""   # Default value
  test -f /etc/default/mixmaster && . /etc/default/mixmaster

  if [ "$ENABLED" = "1" ] || [ "$ENABLED" = "yes" ]; then
     :
  else
      echo "$DESC: disabled, see /etc/default/mixmaster"
      exit 0
  fi


-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.18-3-686
Locale: LANG=C, LC_CTYPE=C (charmap=ISO-8859-1) (ignored: LC_ALL set to en_US)



Reply sent to Peter Palfrader <weasel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jari Aalto <jari.aalto@cante.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 412976-done@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: Jari Aalto <jari.aalto@cante.net>, 412976-done@bugs.debian.org
Subject: Re: Bug#412976: mixmaster: Add /etc/default/mixmaster to control the daemon startup at boot
Date: Thu, 1 Mar 2007 14:48:54 +0100
On Thu, 01 Mar 2007, Jari Aalto wrote:

> Package: mixmaster
> Version: 3.0b2-3
> Severity: minor
> 
> Mixmaster is unconditionally started at boot.

No, it is not.  It is only started when REMAIL is set to y in the
remailer's config file.

Peter
-- 
                           |  .''`.  ** Debian GNU/Linux **
      Peter Palfrader      | : :' :      The  universal
 http://www.palfrader.org/ | `. `'      Operating System
                           |   `-    http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Peter Palfrader <weasel@debian.org>:
Bug#412976; Package mixmaster. Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Peter Palfrader <weasel@debian.org>. Full text and rfc822 format available.

Message #15 received at 412976@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: control@bugs.debian.org
Cc: 412976@bugs.debian.org
Subject: Reopen Bug#412976
Date: Thu, 01 Mar 2007 16:31:00 +0200
reopen 412976 !
thanks

    > SUGGESTION
    > 
    > Please add /etc/default/mixmaster with entry
    > 
    >   ENABLED=1
    > 
    > and "source" it in the /etc/init.d/mixmaster
    > ... 
    > Mixmaster is unconditionally started at boot.

    No, it is not.  It is only started when REMAIL is set to y in the
    remailer's config file.

The use of /etc/mixmaster/remailer.conf to control daemon startup is
not customary[1] compared to other services[2] started at boot. The
correct location is

    /etc/default/

Please change the sequence to read the /etc/default/mixmaster (as
suggested in previous mails) to see if the daemons should start. This
will provide uniform interface to the system administrators to control
the mixmaster service like the other services.

Jari

[1]
Debian Policy Manual 
Chapter 9 - The Operating System
9.3.2 Writing the scripts

[1]
Examples of service from /etc/default

anon-proxy
apache2
approx
bind9
clamav-daemon
cupsys
distcc
exim4
hdparm
hotplug
ifupdown
klogd
lvm-common
nfs-common
nfs-kernel-server
ntp
ntpdate
pcmcia
pcmciautils
portmap
rsync
samba
shorewall
smartmontools
snmpd
spamassassin
ssh
xinetd




Bug reopened, originator set to Jari Aalto <jari.aalto@cante.net>. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to Jari Aalto <jari.aalto@cante.net> Request was from Peter Palfrader <weasel@debian.org> to control@bugs.debian.org. (Thu, 22 Nov 2007 15:06:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Colin Tuckley <colin@tuckley.org>:
Bug#412976; Package mixmaster. Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Colin Tuckley <colin@tuckley.org>. Full text and rfc822 format available.

Message #24 received at 412976@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: Peter Palfrader <peter@palfrader.org>
Cc: 412976@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#412976 acknowledged by developer (closing 412976)
Date: Sun, 25 Nov 2007 16:45:18 +0200
reopen 412976 !
thanks

* Fri 2007-11-23 Peter Palfrader <peter@palfrader.org>
>>
>> * Thu 2007-11-22 owner@bugs.debian.org (Debian Bug Tracking System)
>> > This is an automatic notification regarding your Bug report
>> > #412976: mixmaster: Add /etc/default/mixmaster to control the daemon startup at boot,
>> > which was filed against the mixmaster package.
>> >
>> > It has been marked as closed by one of the developers, namely
>> > Peter Palfrader <weasel@debian.org>.
>>
>> This bug was set to closed. As a closer, please provide more information
>> to the BTS system.
>
> The reason why this will not be implemented has already been explained.

There is no reply to the last BTS message.

The current setup does not follow the existing conventions. Also laid
out in the policy manual; thus repoening the bug.

9.3.2. Writing the scripts
--------------------------
     
     Often there are some variables in the `init.d' scripts whose values
     control the behavior of the scripts, and which a system administrator
     is likely to want to change.  As the scripts themselves are frequently
     `conffile's, modifying them requires that the administrator merge in
     their changes each time the package is upgraded and the `conffile'
!    changes.  To ease the burden on the system administrator, such
!    configurable values should not be placed directly in the script.
!    Instead, they should be placed in a file in `/etc/default', which
!    typically will have the same base name as the `init.d' script.  This
!    extra file should be sourced by the script when the script runs.  It
     must contain only variable settings and comments in POSIX `sh' format.
     It may either be a `conffile' or a configuration file maintained by
     the package maintainer scripts.  See Section 10.7, `Configuration
     files' for more details.

Jari




Bug reopened, originator set to Jari Aalto <jari.aalto@cante.net>. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. (Sun, 25 Nov 2007 14:48:05 GMT) Full text and rfc822 format available.

Reply sent to Peter Palfrader <weasel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jari Aalto <jari.aalto@cante.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 412976-done@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: Jari Aalto <jari.aalto@cante.net>
Cc: 412976-done@bugs.debian.org
Subject: Re: Bug#412976 acknowledged by developer (closing 412976)
Date: Sun, 25 Nov 2007 16:11:09 +0100
On Sun, 25 Nov 2007, Jari Aalto wrote:

> > The reason why this will not be implemented has already been explained.
> 
> There is no reply to the last BTS message.

The reason was explained before.  You need to configure mixmaster
anyway, so we use that file right there.

> The current setup does not follow the existing conventions. Also laid
> out in the policy manual; thus repoening the bug.

> !    changes.  To ease the burden on the system administrator, such
> !    configurable values should not be placed directly in the script.

This is not what is happening.  Read it again and maybe you'll
understand.

Peter
-- 
                           |  .''`.  ** Debian GNU/Linux **
      Peter Palfrader      | : :' :      The  universal
 http://www.palfrader.org/ | `. `'      Operating System
                           |   `-    http://www.debian.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Colin Tuckley <colin@tuckley.org>:
Bug#412976; Package mixmaster. Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Colin Tuckley <colin@tuckley.org>. Full text and rfc822 format available.

Message #36 received at 412976@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 412976@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#412976 repoened - policy not yet followed
Date: Mon, 26 Nov 2007 14:18:22 +0200
reopen 412976 !
thanks

The bug title was:

    Add /etc/default/mixmaster to control the daemon startup at boot

> The reason was explained before.  You need to configure mixmaster
> anyway, so we use that file right there.

I cannot see how this is an explanation would address why mixmaster
deviates from the policy section that says to put "control of behavior"
into:

    /etc/default/*

> This is not what is happening.  Read it again and maybe you'll
> understand.

Quoting again the policy manual:

9.3.2. Writing the scripts
--------------------------
     
     Often there are some variables in the `init.d' scripts whose values
     control the behavior of the scripts, and which a system administrator
     is likely to want to change.
     ....
     they should be placed in a file in `/etc/default',

> This is not what is happening.  Read it again and maybe you'll
> understand.

The system administrator wants to control the behavior of the daemon,
the startup at boot (enabled/disabled). Here is example from
/etc/default/bin9:

    OPTIONS="-u bind"
    # Set RESOLVCONF=no to not run resolvconf
    RESOLVCONF=yes
    ENABLE=no

In contrast to:

    # /etc/init.d/mixmaster start
    Not starting Mixmaster Daemon: remailer mode not enabled in /etc/mixmaster/remailer.conf.

Repoening bug as the policy is not followed.

Jari




Bug reopened, originator set to Jari Aalto <jari.aalto@cante.net>. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. (Mon, 26 Nov 2007 12:21:03 GMT) Full text and rfc822 format available.

Reply sent to Peter Palfrader <weasel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jari Aalto <jari.aalto@cante.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 412976-done@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: 412976-done@bugs.debian.org
Subject: Re: Bug#412976 repoened - policy not yet followed
Date: Mon, 26 Nov 2007 14:56:16 +0100
On Mon, 26 Nov 2007, Jari Aalto wrote:

> reopen 412976 !
> thanks

> Repoening bug as the policy is not followed.

Do not reopen this bug again.  If you want to, bring it up with the
tech-ctte.  We are done here.




Information forwarded to debian-bugs-dist@lists.debian.org, Colin Tuckley <colin@tuckley.org>:
Bug#412976; Package mixmaster. Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@debian.org>:
Extra info received and forwarded to list. Copy sent to Colin Tuckley <colin@tuckley.org>. Full text and rfc822 format available.

Message #48 received at 412976@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@debian.org>
To: debian-ctte@lists.debian.org
Cc: 412976@bugs.debian.org
Subject: Re: Bug#412976 repoened - reassign tech-ctte (mixmaster /etc/default/*)
Date: Thu, 29 Nov 2007 13:54:35 +0100
[Message part 1 (text/plain, inline)]
On 11218 March 1977, Jari Aalto wrote:

>     to decide if the daemon will start at boot or via "start" command.

If you do not want something to start - remove the startup links. Thats
what those links are for. Everything else is just a broken thing.
The maintainer is (IMO) right to deny your request.

-- 
bye Joerg
A.D. 1517:
Martin Luther nails his 95 Theses to the church door and is promptly
moderated down to (-1, Flamebait).
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Colin Tuckley <colin@tuckley.org>:
Bug#412976; Package mixmaster. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Colin Tuckley <colin@tuckley.org>. Full text and rfc822 format available.

Message #53 received at 412976@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Jari Aalto <jari.aalto@cante.net>, 412976@bugs.debian.org
Subject: Re: Bug#412976: repoened - policy not yet followed
Date: Thu, 29 Nov 2007 14:06:07 +0100
On Mon, Nov 26, 2007 at 02:18:22PM +0200, Jari Aalto wrote:
> The bug title was:
> 
>     Add /etc/default/mixmaster to control the daemon startup at boot

 Having a default file control startup is severily b0rked - and most, if
not all of the default files you mentioned don't do that. Especially,
apache2 did it earlier but reverted that abuse of default files. If you
don't want something started move the S symlink of your runlevel to a
K symlink.

> I cannot see how this is an explanation would address why mixmaster
> deviates from the policy section that says to put "control of behavior"
> into:
> 
>     /etc/default/*

 It is sugested, not a MUST. And there is no good reason to abuse a
default file for startup contolling - that's the core purpose of the
rc.d symlinks.

>      Often there are some variables in the `init.d' scripts whose values
>      control the behavior of the scripts, and which a system administrator
>      is likely to want to change.
>      ....
>      they should be placed in a file in `/etc/default',

 If there is a configuration file that controls things it should get
used. The default file is something additional for something that is not
controable through the proper configuration files.

> The system administrator wants to control the behavior of the daemon,
> the startup at boot (enabled/disabled).

 Then the system administrator should control the behavior of startup
like it is done since about 20 years, with the control of the rc.d
symlinks.

> In contrast to:
> 
>     # /etc/init.d/mixmaster start
>     Not starting Mixmaster Daemon: remailer mode not enabled in /etc/mixmaster/remailer.conf.

 The message can't be more clear about what you should do.

> Repoening bug as the policy is not followed.

 Policy *is* followed, please read again and don't reopen without a
pretty clear view of reality.

 So long,
Rhonda




Information forwarded to debian-bugs-dist@lists.debian.org, Colin Tuckley <colin@tuckley.org>:
Bug#412976; Package mixmaster. Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
Extra info received and forwarded to list. Copy sent to Colin Tuckley <colin@tuckley.org>. Full text and rfc822 format available.

Message #58 received at 412976@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: debian-ctte@lists.debian.org, 412976@bugs.debian.org
Subject: Re: Bug#412976 repoened - reassign tech-ctte (mixmaster /etc/default/*)
Date: Thu, 29 Nov 2007 14:18:35 +0100
[Message part 1 (text/plain, inline)]
On Thu, 29 Nov 2007, Jari Aalto wrote:

> [BTS control messages were sent separately]
[apparently not yet, but I'll provide a summary anyway.]

Summary of current status:

o The mixmaster package provides both the client and server functionality.
o By default the server part (running a remailer) is not enabled.
o To configure mixmaster to run as a remailer the admin has to set a dozen
  options in /etc/mixmaster/remailer.conf.  Options like email address,
  which formats they will accept, whether to run as an exit or only as a
  middleman remailer, etc.
o One of those options is the REMAIL setting, which enables or disables
  the remailing ("server") part of mixmaster.
o The init script has code to only try starting the mixmaster daemon, which
  is only needed when it's being run as a remailer, when the REMAIL option
  is actually set to "y" in that config file.


The submitter wants a new conffile, /etc/default/mixmaster, that is
sourced by the init script to control whether the daemon is started.
That would either be in addition or instead of the REMAIL setting in
/etc/mixmaster/remailer.conf which is already used by the mixmaster
software.

Obviously my suggestion is to reject this request.

Peter
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Colin Tuckley <colin@tuckley.org>:
Bug#412976; Package mixmaster. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to Colin Tuckley <colin@tuckley.org>. Full text and rfc822 format available.

Message #63 received at 412976@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: debian-ctte@lists.debian.org
Cc: 412976@bugs.debian.org
Subject: Re: Bug#412976 repoened - reassign tech-ctte (mixmaster /etc/default/*)
Date: Thu, 29 Nov 2007 16:10:56 +0100
* Joerg Jaspert [Thu, 29 Nov 2007 13:54:35 +0100]:

> The maintainer is (IMO) right to deny your request.

Agreed.

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
British policemen don't wear guns. If they're chasing someone, they
yell, "Stop! Or I'll yell stop again".
                -- Robin Williams





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Dec 2007 07:32:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:53:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.